# LucyJMS - Clear

Clear is used to remove message from a JMS queue. JMS topics are not supported.


## Arguments:

    --configurationAt (-c)    : Path to the JMS configuration to use.
    --factoryId (-f)          : Bean id of the connection factory to use.
    --limit (-l)              : Max number of messages to delete.
    --queue (-q)              : Name od the queue.
    --queueId (-qid)          : Bean id of the queue to use.
    --selector (-s)           : Message selector used to receive message.


-------------------------------------------------------------------------------
Example 1:

    lucy clear --configurationAt activemq --queue example

Delete all messages from queue named example. The connection to the JMS broker
is specified in *./activemq/connection.xml* as *connectionFactory* bean.

-------------------------------------------------------------------------------
Example 2:

    lucy clear -c activemq -q example -s "JMSType LIKE 'stat%'" -l 30

Delete first 30 selected messages from queue named *example*. The connection
to the JMS broker is specified in *./activemq/connection.xml* as
*connectionFactory* bean. Used selector will delete only messages whose
JMSType starts with Stat (stats, statistics, status). For more documentation
on the detail of selectors see the reference on [javax.jmx.Message].


[javax.jmx.Message]: https://docs.oracle.com/javaee/1.4/api/javax/jms/Message.html