# LucyJMS - Send

This command is used to send one or more messages to the desired JMS broker.
Messages are read from an input xml file which contains serialised Text, Bytes
and Map messages. Message order is preserved. Argument *limit* is used to send
first n messages only.

## Arguments:

    --configurationAt (-c)     : Path to the JMS configuration to use.
    --factoryId (-f)           : Spring bean id of the connection factory to use.
    --queue (-q)               : Name of the queue.
    --queueId (-qid)           : Spring bean id of the queue to use.
    --topic (-t)               : Name of the topic.
    --topicId (-tid)           : Spring bean id of the topic to use.
    --limit (-l)               : Max number of messages to send.
    --inputXml (-x)            : Path to xml with messages to send.


--------------------------------------------------------------------------------------
Example 1:

    lucy send -c activemq --queue input.queue --inputXml messages.xml

Send messages stored in *messages.xml* to the queue named *input.queue* on a
broker. The connection to the broker is specified in configuration file
*./activemq/connection.xml* under implied *connectionFactory* bean.

-------------------------------------------------------------------------------
Example 2:

    lucy send -c conf/activemq -qid destId -i messages.xml -l 42

Send first 42 messages from *messages.xml* file. The destination is stored in
configuration as bean with id *destId*. The connection factory bean is named
*connectionFactory*.