# LucyJMS - Template

Template is used to send message to JMS destination. It is more complex version
of send command. The main difference is ability to customise messages before
sending by using embedded scripting. Input file is used to provide messages to
send to broker, javascript code to customise messages, multithread and latency
parameters.


## Arguments:

    --configurationAt (-c)    : Path to the JMS configuration to use.
    --factoryId (-f)          : Id of the connection factory to use.
    --queue (-q)              : Name of the queue.
    --queueId (-qid)          : Spring bean id of the queue to use.
    --topic (-t)              : Name of the topic.
    --topicId (-tid)          : Spring bean id of the topic to use.
    --templateXml (-x)        : Path to xml with messages to send.
    --random (-r)             : Send messages in random order.
    --script                  : Path to script used to customise message.
    --scriptCharset           : Charset name of script. Default: UTF-8
    --scriptMainMethod        : Script method used to customise message.


--------------------------------------------------------------------------------------
Example 1:

    lucy template -c activemq -q input --templateXml templates.xml

Will send messages stored in *templates.xml* to the queue *input* on a broker.
The connection to the broker is specified in *./activemq/connection.xml* under
implied *connectionFactory* bean.

--------------------------------------------------------------------------------------
Example 2:

    lucy template -c activemq -q input -x templates.xml --random

Same as example 1 but it will send messages in random order.

--------------------------------------------------------------------------------------
Example 3:

    lucy template -c activemq -q input -x templates.xml --script modify.js --scriptMainMethod generatePayload

Same as example 1 but it will customise messages by invoking *generatePayload*
method for each message from *modify.js* script.